GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea Class Reference

## Public Member Functions
String | getNDI1D ()
void | setNDI1D (String value)
String | getGBProductIdentifier ()
void | setGBProductIdentifier (String value)
String | getGBPostOffice1D ()
void | setGBPostOffice1D (String value)
String | getCHParcelNumber ()
void | setCHParcelNumber (String value)
String | getCHPRI1D ()
void | setCHPRI1D (String value)
String | getCHSI1D ()
void | setCHSI1D (String value)

## Protected Attributes
String | ndi1D
String | gbProductIdentifier
String | gbPostOffice1D
String | chParcelNumber
String | chpri1D
String | chsi1D

## Detailed Description

For special domestic German ExpressService label

Java class for NDIArea complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="NDIArea">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="NDI1D" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="GBProductIdentifier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="GBPostOffice1D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CHParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CHPRI1D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="CHSI1D" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 47 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## Member Function Documentation

## ◆ getCHParcelNumber()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.getCHParcelNumber | ( |  | ) |

Gets the value of the chParcelNumber property.

Returns
  possible object is String

Definition at line 142 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ getCHPRI1D()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.getCHPRI1D | ( |  | ) |

Gets the value of the chpri1D property.

Returns
  possible object is String

Definition at line 166 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ getCHSI1D()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.getCHSI1D | ( |  | ) |

Gets the value of the chsi1D property.

Returns
  possible object is String

Definition at line 190 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ getGBPostOffice1D()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.getGBPostOffice1D | ( |  | ) |

Gets the value of the gbPostOffice1D property.

Returns
  possible object is String

Definition at line 118 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ getGBProductIdentifier()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.getGBProductIdentifier | ( |  | ) |

Gets the value of the gbProductIdentifier property.

Returns
  possible object is String

Definition at line 94 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ getNDI1D()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.getNDI1D | ( |  | ) |

Gets the value of the ndi1D property.

Returns
  possible object is String

Definition at line 70 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ setCHParcelNumber()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.setCHParcelNumber | ( | String | value | ) |

Sets the value of the chParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 154 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ setCHPRI1D()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.setCHPRI1D | ( | String | value | ) |

Sets the value of the chpri1D property.

Parameters

  value | allowed object is String

Definition at line 178 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ setCHSI1D()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.setCHSI1D | ( | String | value | ) |

Sets the value of the chsi1D property.

Parameters

  value | allowed object is String

Definition at line 202 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ setGBPostOffice1D()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.setGBPostOffice1D | ( | String | value | ) |

Sets the value of the gbPostOffice1D property.

Parameters

  value | allowed object is String

Definition at line 130 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ setGBProductIdentifier()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.setGBProductIdentifier | ( | String | value | ) |

Sets the value of the gbProductIdentifier property.

Parameters

  value | allowed object is String

Definition at line 106 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ setNDI1D()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.setNDI1D | ( | String | value | ) |

Sets the value of the ndi1D property.

Parameters

  value | allowed object is String

Definition at line 82 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## Member Data Documentation

## ◆ chParcelNumber

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.chParcelNumber
| protected

Definition at line 56 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ chpri1D

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.chpri1D
| protected

Definition at line 58 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ chsi1D

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.chsi1D
| protected

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ gbPostOffice1D

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.gbPostOffice1D
| protected

Definition at line 54 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ gbProductIdentifier

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.gbProductIdentifier
| protected

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

## ◆ ndi1D

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.NDIArea.ndi1D
| protected

Definition at line 50 of file glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v1/shipmentprocessing/NDIArea.java